\name{extremepoints}
\alias{extremepoints}
\title{Find peaks and troughs}
\description{Find extreme points in each contiguous run of positive and negative
values}
\usage{
extremepoints(y,cutoff=0)
}
\arguments{
\item{y}{The signal}
\item{cutoff}{A value above which the signal is considered positive}
}
\value{
\item{pos}{The positions of extreme points}
\item{val}{The corresponding values}
}
\seealso{multires}
\examples{
# assume we have multiresolution result (see example of 'multires')

# plot the 8th level signal
plot(mr[,8],type="l")
ep <- extremepoints(mr[,8])
points(ep$pos,ep$val,col="red")
}
